<!-- <app-page-title [heading]="heading" [icon]="icon"></app-page-title> -->
<div class="app-page-title">
  <div class="page-title-wrapper">
    <div class="page-title-heading">
      <div class="page-title-icon">
        <i class="icon {{icon}}"></i>
      </div>
      <div>
        {{heading}}
      </div>
    </div>
  </div>
</div>
<!-- summary all total -->
<!-- <div class="mb-3 card">
  <div class="card-header-tab card-header">
    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
      <i class="header-icon lnr-charts icon-gradient bg-happy-green"> </i>
      Outsource resource
    </div>
  </div>
  <div class="no-gutters row">
    <div class="col-sm-6 col-md-4 col-xl-4">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="icon-wrapper rounded-circle">
          <div class="icon-wrapper-bg opacity-9 bg-primary" style="padding-left: 0.7em;padding-top: 0.8em;">
            <i class="fa fa-fw text-white"></i>
          </div>
        </div>
        <div class="widget-chart-content">
          <div class="widget-subheading">Total outsource</div>
          <div class="widget-numbers">{{outsourcetotal.all}}</div>
        </div>
      </div>
      <div class="divider m-0 d-md-none d-sm-block"></div>
    </div>
    <div class="col-sm-6 col-md-4 col-xl-4">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="icon-wrapper rounded-circle">
          <div class="icon-wrapper-bg opacity-9 bg-danger" style="padding-left: 0.7em;padding-top: 0.8em;">
            <i class="fa fa-fw text-white"></i>
          </div>
        </div>
        <div class="widget-chart-content">
          <div class="widget-subheading">Total onsite</div>
          <div class="widget-numbers">{{outsourcetotal.onsite}}</div>
        </div>
      </div>
      <div class="divider m-0 d-md-none d-sm-block"></div>
    </div>
    <div class="col-sm-12 col-md-4 col-xl-4">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="icon-wrapper rounded-circle">
          <div class="icon-wrapper-bg opacity-9 bg-success" style="padding-left: 0.7em;padding-top: 0.8em;">
            <i class="fa fa-fw text-white"></i>
          </div>
        </div>
        <div class="widget-chart-content">
          <div class="widget-subheading">Total available</div>
          <div class="widget-numbers text-success">{{outsourcetotal.free}}</div>
        </div>
      </div>
    </div>
  </div>
</div> -->





<!-- outsource all status -->
<div class="main-card mb-3 card">
  <div class="card-header">
    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">Outsource all</div>
  </div>
  <div class="table-responsive" style="padding-bottom: 2%">
    <table class="align-middle text-truncate mb-0 table table-borderless table-hover">
      <thead>
        <tr>
          <th class="text-center" style=" padding-left: 3%; padding-top: 2%; padding-bottom: 1%">ID number</th>
          <th class="text-center" style="padding-top: 2%; padding-bottom: 1%">Name</th>
          <th class="text-center" style="padding-top: 2%; padding-bottom: 1%">Telephon Number</th>
          <th class="text-center" style="padding-top: 2%; padding-bottom: 1%">Detail</th>
          <!-- <th class="text-center">Start Date</th>
          <th class="text-center">End Date</th> -->
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let outsource of datasettrade">
          <td class="text-center text-muted" style="width: 80px; padding-left: 3%">{{outsource.user.cid}}</td>
          <td class="text-center">{{outsource.user.firstName}} {{outsource.user.lastName}} </td>
          <td class="text-center">{{outsource.user.telNo}}</td>
          <td class="text-center">
            <button class="btn-shadow btn-wide btn-pill btn btn-focus" (click)="sendId(outsource.applicationId)">
              detail
            </button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>